Bug 189708 - [PATCH] misc/py-pexpect: update to 3.2
Summary: [PATCH] misc/py-pexpect: update to 3.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-12 13:50 UTC by Bartek Rutkowski
Modified: 2014-05-24 13:50 UTC (History)
1 user (show)

See Also:


Attachments
py-pexpect-3.2.patch (2.41 KB, patch)
2014-05-12 13:50 UTC, Bartek Rutkowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bartek Rutkowski freebsd_committer 2014-05-12 13:50:00 UTC
- Update to 3.2
- Pet portlint

http://poudriere.ithil.palantiri.org:8080/latest-per-pkg/py27-pexpect/3.2/

Port maintainer (wg@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.02 (mode: update, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-05-12 13:50:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 William Grzybowski freebsd_committer 2014-05-24 13:47:10 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2014-05-24 13:47:10 UTC
Author: wg
Date: Sat May 24 12:47:05 2014
New Revision: 355016
URL: http://svnweb.freebsd.org/changeset/ports/355016
QAT: https://qat.redports.org/buildarchive/r355016/

Log:
  misc/py-pexpect: update to 3.2
  
  PR:		ports/189708
  Submitted by:	Bartek Rutkowski <ports at robakdesign com>

Modified:
  head/misc/py-pexpect/Makefile
  head/misc/py-pexpect/distinfo
  head/misc/py-pexpect/files/patch-pexpect-__init__.py
  head/misc/py-pexpect/pkg-descr

Modified: head/misc/py-pexpect/Makefile
==============================================================================
--- head/misc/py-pexpect/Makefile	Sat May 24 12:45:02 2014	(r355015)
+++ head/misc/py-pexpect/Makefile	Sat May 24 12:47:05 2014	(r355016)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	pexpect
-PORTVERSION=	3.1
+PORTVERSION=	3.2
 CATEGORIES=	misc python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}

Modified: head/misc/py-pexpect/distinfo
==============================================================================
--- head/misc/py-pexpect/distinfo	Sat May 24 12:45:02 2014	(r355015)
+++ head/misc/py-pexpect/distinfo	Sat May 24 12:47:05 2014	(r355016)
@@ -1,2 +1,2 @@
-SHA256 (pexpect-3.1.tar.gz) = bd0045066718fba98481032303f07565cca6b22b3b7f104efe3e077a55e9ee8d
-SIZE (pexpect-3.1.tar.gz) = 130404
+SHA256 (pexpect-3.2.tar.gz) = dbc4c9a01c118e198d1b6ca76f31eb7292f212567f253e6b36a880e5168e961f
+SIZE (pexpect-3.2.tar.gz) = 131070

Modified: head/misc/py-pexpect/files/patch-pexpect-__init__.py
==============================================================================
--- head/misc/py-pexpect/files/patch-pexpect-__init__.py	Sat May 24 12:45:02 2014	(r355015)
+++ head/misc/py-pexpect/files/patch-pexpect-__init__.py	Sat May 24 12:47:05 2014	(r355016)
@@ -1,13 +1,10 @@
---- pexpect/__init__.py.orig	2013-11-11 17:58:03.000000000 +0000
-+++ pexpect/__init__.py	2013-12-26 08:28:18.423632870 +0000
-@@ -1558,10 +1558,7 @@
-         # TIOCSWINSZ and they don't have a truncate problem.
-         # Newer versions of Linux have totally different values for TIOCSWINSZ.
-         # Note that this fix is a hack.
+--- pexpect/__init__.py.orig	2014-04-15 03:31:01.000000000 +0200
++++ pexpect/__init__.py	2014-05-12 14:41:21.690335992 +0200
+@@ -1562,7 +1562,7 @@
+         # termios.TIOCSWINSZ to be truncated. There was a hack here to work
+         # around this, but it caused problems with newer platforms so has been
+         # removed. For details see https://github.com/pexpect/pexpect/issues/39
 -        TIOCSWINSZ = getattr(termios, 'TIOCSWINSZ', -2146929561)
--        if TIOCSWINSZ == 2148037735:
--            # Same bits, but with sign.
--            TIOCSWINSZ = -2146929561
 +        TIOCSWINSZ = getattr(termios, 'TIOCSWINSZ', 2148037735)
          # Note, assume ws_xpixel and ws_ypixel are zero.
          s = struct.pack('HHHH', rows, cols, 0, 0)

Modified: head/misc/py-pexpect/pkg-descr
==============================================================================
--- head/misc/py-pexpect/pkg-descr	Sat May 24 12:45:02 2014	(r355015)
+++ head/misc/py-pexpect/pkg-descr	Sat May 24 12:47:05 2014	(r355016)
@@ -11,4 +11,4 @@ software package installations on differ
 automated software testing. Pexpect is in the spirit of Don Libes' Expect, but
 Pexpect is pure Python. The Pexpect interface was designed to be easy to use.
 
-WWW: http://pexpect.sourceforge.net/
+WWW: http://pexpect.sourceforge.net
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"